Subject: 'git svn fetch' keeps giving a error after freezing

From: Graeme Geldenhuys <[email-masked]>
Date: Wed, 08 Jul 2009 13:21:24 +0200

Hi,

I'm using git-1.6.3.3 under Ubuntu Linux 8.04.2

I'm trying to convert (clone) a SubVersion repository to Git, so I can 
host the mirror on GitHub, but for the last 4 days I don't get very far. 
It seems to be getting a few files, then freezes and then gives the 
error shown below. I'm now stuck around r2665 out of about 14,000 
revisions. :-(

I have done such a clone before using a different SVN repository and 
pulling in around 13,000 revisions, so my 'git svn' commands should work.

==============================
$ git svn fetch
.....
         A       fixes_2_0/fv/gadgets.pas
         A       fixes_2_0/fv/colortxt.pas
         A       fixes_2_0/fv/outline.pas
RA layer request failed: REPORT of '/svn/fpc/!svn/vcc/default': Could 
not read response body: connection was closed by server 
(http://svn2.freepascal.org) at /usr/local/libexec/git-core/git-svn line 
4505
==============================

.git/config file contains the following (showing the SubVersion repository)

======================
...snip...
[svn-remote "svn"]
	url = http://svn2.freepascal.org/svn/fpc
	fetch = trunk:refs/remotes/trunk
	branches = branches/*:refs/remotes/*
	tags = tags/*:refs/remotes/tags/*
...snip...
======================

Any thoughts on why I am getting this error?

Regards,
   - Graeme -

-- 
fpGUI Toolkit - a cross-platform GUI toolkit using Free Pascal
http://opensoft.homeip.net/fpgui/